the only thing should notice is that please install the Catalyst 11.1 from AMD support site and do not try the one from ubuntu search